/**
 * HelloGUI: Standalone Java application
 *
 * NOTES:
 * Compare this standalone Java application
 *    with HelloApplet applet.
 *
 * @version 1.0, DATE: 07.07.98
 * @author Mike Morgan
 */
import java.awt.*;              // User Interface components

public class HelloGUI extends Frame
{
  private static Font f;

  private void drawCenteredString (Graphics g, String s)
  {
    Dimension d = getSize ();
    FontMetrics fm = getFontMetrics (f);
    int x =
      (d.width - fm.stringWidth (s)) / 2;
    int y =
      d.height -
        ( (d.height - fm.getHeight ()) / 2 );

    g.drawString (s, x, y);
  }

  // paint: window refresh code goes here
  public void paint (Graphics g)
  {
    g.setFont (f);
    g.setColor (Color.red);
    drawCenteredString (g, "Hello from Java!");
  }

  // main: application initialization code goes here
  public static void main (String[] args)
  {
     Frame theFrame = new HelloGUI ();
     theFrame.setTitle ("Hello World!");
     theFrame.setSize (250, 100);
     f = new Font ("Helvetica", Font.BOLD, 24);
     theFrame.show ();
   }
}
