import java.awt.*;
import java.applet.*;

public class MenuApplication extends Frame {
  public static void main( String[] args ) {
    new MenuApplication();
  }

  public MenuApplication() {
    //  Construct the Frame
    super( "Menu Example" );

    // Add the menu bar
    MenuBar theMenuBar = new MenuBar();
    setMenuBar( theMenuBar );

    // Make the file menu and add it to the menubar...
    Menu aFileMenu = new Menu( "File" );
    theMenuBar.add( aFileMenu );

    // Add the New and Open menuitems
    aFileMenu.add( new MenuItem( "New" ) );
    aFileMenu.add( new MenuItem( "Open" ) );

    // Add a (disabled) Save menuitem
     MenuItem theSaveMenuItem = new MenuItem( "Save" );
     theSaveMenuItem.setEnabled( false );
     aFileMenu.add( theSaveMenuItem );

    // Add an Auto-Save checkbox, followed by a separator
    aFileMenu.add( new CheckboxMenuItem( "Auto-Save" ) );
    aFileMenu.addSeparator();

    // Add the Print submenu
    Menu thePrintSubmenu = new Menu( "Print" );
    aFileMenu.add( thePrintSubmenu );
    thePrintSubmenu.add( "Print Preview" );
    thePrintSubmenu.add( "Print Document" );

    // Resize the frame before it can be shown
    setSize( 300, 200 );

    // Make the frame appear on the screen
    show();
  }
}
