import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class RegentUniversity implements Tag {
  private PageContext fPageContext;
  private Tag fParent;

  // respond to the starting tag by skipping any body
  public int doStartTag() throws javax.servlet.jsp.JspException {
    return SKIP_BODY;
  }

  // use the occasion of the ending tag to pump out our contents
  public int doEndTag() throws javax.servlet.jsp.JspException {
    try {
      fPageContext.getOut().write("Regent University");
    } catch (java.io.IOException ioe) {
      throw new JspException("IO Error: " + ioe.getMessage());
    }
    // evaluate the rest of the page
    return EVAL_PAGE;
  }

  // clean up here as necessary
  public void release() {
  }

  // the JSP container will call this method
  public void setPageContext(final javax.servlet.jsp.PageContext thePageContext) {
    fPageContext = thePageContext;
  }

  // the JSP container will call this method
  public void setParent(final javax.servlet.jsp.tagext.Tag theParent) {
    fParent = theParent;
  }

  public javax.servlet.jsp.tagext.Tag getParent() {
    return fParent;
  }
}
